Loading...
Searching...
No Matches
gtsam::Basis< DERIVED >::DerivativeFunctor Class Reference

## Detailed Description

template<typename DERIVED>
class gtsam::Basis< DERIVED >::DerivativeFunctor

An instance of a DerivativeFunctor calculates f'(x;p) at a given x, applied to Parameters p.

When given a scalar value x and a specific N*1 vector of Parameters, this functor returns the scalar derivative value of the function at x, possibly with Jacobians wrpt the parameters.

Inheritance diagram for gtsam::Basis< DERIVED >::DerivativeFunctor:

## Public Member Functions

| DerivativeFunctor ()
| For serialization.
| DerivativeFunctor (size_t N, double x)
| DerivativeFunctor (size_t N, double x, double a, double b)
double | apply (const typename DERIVED::Parameters &p, OptionalJacobian< -1, -1 > H=boost::none) const
double | operator() (const typename DERIVED::Parameters &p, OptionalJacobian< -1, -1 > H=boost::none) const
| c++ sugar

## Additional Inherited Members

Protected Member Functions inherited from gtsam::Basis< DERIVED >::DerivativeFunctorBase
| DerivativeFunctorBase ()
| For serialization.
| DerivativeFunctorBase (size_t N, double x)
| DerivativeFunctorBase (size_t N, double x, double a, double b)
void | print (const std::string &s="") const
Protected Attributes inherited from gtsam::Basis< DERIVED >::DerivativeFunctorBase
Weights | weights_

The documentation for this class was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/basis/Basis.h